Debian Bug report logs - #723048
json-simple: New upstream version available

version graph

Package: json-simple; Maintainer for json-simple is Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Andrew Ross <ubuntu@rossfamily.co.uk>

Date: Sun, 15 Sep 2013 20:09:01 UTC

Severity: normal

Found in version 1.1-dfsg1-2

Fixed in version json-simple/1.1.1-1

Done: Gilles Filippini <pini@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gilles Filippini <pini@debian.org>:
Bug#723048; Package json-simple. (Sun, 15 Sep 2013 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Ross <ubuntu@rossfamily.co.uk>:
New Bug report received and forwarded. Copy sent to Gilles Filippini <pini@debian.org>. (Sun, 15 Sep 2013 20:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Ross <ubuntu@rossfamily.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: json-simple: New upstream version available
Date: Sun, 15 Sep 2013 16:05:05 -0400
Package: json-simple
Version: 1.1-dfsg1-2
Severity: normal

Dear Maintainer,

A new upstream version, 1.1.1 is available. In this release, upstream 
have stopped including libs in their repository, so the dfsg version 
will no longer be required. Additionally, they now ship a pom.xml so 
there won't be a need to include that in the debian directory.

I'm happy to push my suggested updates to the packaging repository if 
that would be helpful.

Thanks,
Andy



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#723048; Package json-simple. (Thu, 19 Sep 2013 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. (Thu, 19 Sep 2013 20:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 723048@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Andrew Ross <ubuntu@rossfamily.co.uk>
Cc: 723048@bugs.debian.org
Subject: Re: Bug#723048: json-simple: New upstream version available
Date: Thu, 19 Sep 2013 22:50:07 +0200
[Message part 1 (text/plain, inline)]
Hi Andrew,

Andrew Ross a écrit , Le 15/09/2013 22:05:
> Package: json-simple
> Version: 1.1-dfsg1-2
> Severity: normal
> 
> Dear Maintainer,
> 
> A new upstream version, 1.1.1 is available. In this release, upstream 
> have stopped including libs in their repository, so the dfsg version 
> will no longer be required. Additionally, they now ship a pom.xml so 
> there won't be a need to include that in the debian directory.

Thanks for the notice. I'm going to package this release. uscan didn't
notice it because there is no source archive to download for 1.1.1.

> I'm happy to push my suggested updates to the packaging repository if 
> that would be helpful.

Well, I'm not at ease with java / maven packages, so I'd like to give a
try by myself. Then you're welcome to review / improve. Would it be ok
that way?

Thanks,

_g.


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gilles Filippini <pini@debian.org>:
Bug#723048; Package json-simple. (Sat, 21 Sep 2013 17:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Ross <ubuntu@rossfamily.co.uk>:
Extra info received and forwarded to list. Copy sent to Gilles Filippini <pini@debian.org>. (Sat, 21 Sep 2013 17:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 723048@bugs.debian.org (full text, mbox):

From: Andrew Ross <ubuntu@rossfamily.co.uk>
To: Gilles Filippini <pini@debian.org>
Cc: 723048@bugs.debian.org
Subject: Re: Bug#723048: json-simple: New upstream version available
Date: Sat, 21 Sep 2013 18:36:55 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 19/09/13 21:50, Gilles Filippini wrote:
> Hi Andrew,
>
> Andrew Ross a écrit , Le 15/09/2013 22:05:
>> Package: json-simple
>> Version: 1.1-dfsg1-2
>> Severity: normal
>>
>> Dear Maintainer,
>>
>> A new upstream version, 1.1.1 is available. In this release, upstream
>> have stopped including libs in their repository, so the dfsg version
>> will no longer be required. Additionally, they now ship a pom.xml so
>> there won't be a need to include that in the debian directory.
>
> Thanks for the notice. I'm going to package this release. uscan didn't
> notice it because there is no source archive to download for 1.1.1.
>
>> I'm happy to push my suggested updates to the packaging repository if
>> that would be helpful.
>
> Well, I'm not at ease with java / maven packages, so I'd like to give a
> try by myself. Then you're welcome to review / improve. Would it be ok
> that way?
>
> Thanks,
>
> _g.
>
>
Hi,

That sounds great to me - let me know when you'd like me to take a look,
and I'll test to make sure it works with the package I'm working on.

Thanks,
Andy
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJSPdkzAAoJEJ0xLSYlIEOZcfQP/0J7mTrZmR/jah/hYdw8RHDW
SHmHBLWcr3UekqMHl4O3qKHoA5lfM/sheOdEaVL5pS+x9iWJhiVBCOvY2FrOQTH4
e/SHWVyYfB9ftiWsdRwm68CJBdadwRPihtvoFdKPxpZwsg8KGhiOyzbZpBSmjQMw
dglZT4tyviGMUS5WG1EYVj+YeiX/sAlgdNo0tSRzajUJPsIqBlBNJUx0Ij51RS1F
2BA0CXInVcaHjoEhl6uUNkmittYNKYXUGiLa1+Druo48a5/tk4jinF42bptDu4S2
rWW3DreGV/48Exb6ZGIhkEWn9IMZYBNZIn1G8WnL/hXEsdVTFCeayzr+oOVWiEBX
5nyMxaH2/+CoU/XIpWR8/AK39/8zeI7o5Wfg6fT3fAxPqQKhN/qEajManjKW1W3R
fUt9EdRA235qi1yK8uq01DyxmDs8S3aBzC6PV9mKv3dGW1s0y3DRgP5n3F3Ivz6Y
xBEkGadL0dQGC2Jt3dWbzTtzuhrcUm6Yj1l3Gk9EApaEAcszwcSExdWlcEygfED/
BiMnq+TDkc6Wn74J8HAlj08UdH1OiL/NdiGE1o/s1t6LLdaV9NAZIDJwlvI0HKk1
Edx+m4xpXirzpnBD8fClHKkJcuqIA8E2gfkQPFRiWt4jnfduwoR1a7Wax5wXCQ4o
80NWKfBcFMkkXSedWxuV
=OpWU
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#723048; Package json-simple. (Sun, 22 Sep 2013 14:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. (Sun, 22 Sep 2013 14:42:09 GMT) Full text and rfc822 format available.

Message #20 received at 723048@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Andrew Ross <ubuntu@rossfamily.co.uk>, 723048@bugs.debian.org
Subject: Re: Bug#723048: json-simple: New upstream version available
Date: Sun, 22 Sep 2013 16:39:51 +0200
[Message part 1 (text/plain, inline)]
Andrew Ross a écrit , Le 21/09/2013 19:36:
> 
> On 19/09/13 21:50, Gilles Filippini wrote:
>> Hi Andrew,
> 
>> Andrew Ross a écrit , Le 15/09/2013 22:05:
>>> Package: json-simple
>>> Version: 1.1-dfsg1-2
>>> Severity: normal
>>>
>>> Dear Maintainer,
>>>
>>> A new upstream version, 1.1.1 is available. In this release, upstream
>>> have stopped including libs in their repository, so the dfsg version
>>> will no longer be required. Additionally, they now ship a pom.xml so
>>> there won't be a need to include that in the debian directory.
> 
>> Thanks for the notice. I'm going to package this release. uscan didn't
>> notice it because there is no source archive to download for 1.1.1.
> 
>>> I'm happy to push my suggested updates to the packaging repository if
>>> that would be helpful.
> 
>> Well, I'm not at ease with java / maven packages, so I'd like to give a
>> try by myself. Then you're welcome to review / improve. Would it be ok
>> that way?
> 
>> Thanks,
> 
>> _g.
> 
> 
> Hi,
> 
> That sounds great to me - let me know when you'd like me to take a look,
> and I'll test to make sure it works with the package I'm working on.

Done. I've pushed my changes into the debian git repo.
With this release the jar file name was changed from json_simple.jar to
json-simple.jar. I'm tempted to provide a symbolic link
 json_simple.jar -> json-simple.jar
to not break the packages depending on it. What do you think?

Thanks,

_g.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gilles Filippini <pini@debian.org>:
Bug#723048; Package json-simple. (Sun, 22 Sep 2013 15:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Ross <ubuntu@rossfamily.co.uk>:
Extra info received and forwarded to list. Copy sent to Gilles Filippini <pini@debian.org>. (Sun, 22 Sep 2013 15:15:09 GMT) Full text and rfc822 format available.

Message #25 received at 723048@bugs.debian.org (full text, mbox):

From: Andrew Ross <ubuntu@rossfamily.co.uk>
To: Gilles Filippini <pini@debian.org>, 723048@bugs.debian.org
Subject: Re: Bug#723048: json-simple: New upstream version available
Date: Sun, 22 Sep 2013 16:07:23 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 22/09/13 15:39, Gilles Filippini wrote:
>
> Done. I've pushed my changes into the debian git repo.
> With this release the jar file name was changed from json_simple.jar to
> json-simple.jar. I'm tempted to provide a symbolic link
>  json_simple.jar -> json-simple.jar
> to not break the packages depending on it. What do you think?
>
> Thanks,
>
> _g.
>
I've just tested that, and pushed a couple of minor changes (one to make
the clean target work, and one to make sure we get links to the jars in
the maven-repo).

I think you're right, it would make sense to add the symbolic link,
although we should also file bug reports against dependant packages
asking them to switch - I'm happy to do the bug filing.

Thanks,
Andy
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJSPweqAAoJEJ0xLSYlIEOZ//IP/RwI5sVGvfIhGnG6tTLckQr3
gQ9YuxkA1QDb97x97a1/bncpqlusi96DxROuDHiwPawR57WFjsi0RKoyD7VKGwOG
mGB4+oQrAeaKgq7sJDDSYPosHcQTQ99F42oa+fdRmPB/mRvEIFMKFNk+dPW7xRkD
r2TR7r0IV3Qn4kt5gUKd52rwST9rHkGFa+cEzFWcS2XkPaLS/ULISnfaznSCGcWq
qJz39ueIeWR8yFrLwouRN4j7hEkzbltKSMCqQRnSc9gDUYMiI3LlYv6nGmtipQLc
DAKHo0El24nwdACEoKjy/CkpiuGx3xCsGJ9ix0W6JdKPbC7gZs9vowHrNddxXkKQ
e0K65JIVktng04rD7R4Xi94Z6mPD7438rJs/PSFHsCaErooWevkr8iEGvOw0W9av
3JmUZvZSubeqGgGo33ps0M5wVPUy6VdJYS18H8AIVmbJeITMmDJ8qDQbfq2fDjLT
/aqE4yb7k0COJ6C8EOoRYavGY3nZYovFd9WhN5Bi0QaFez4pwOPFyw1reItG79Mx
EAFPy4ppzkeQliBVNqgAnM6LNxgL11q+8+2CE8TGKHmNAqHBnkxfJNtS3Pv+QytE
kIeZjuVd62bG3FPW//psfmCBngNLh2A5e+uj5YlzRQlNL5wkfuzVolllL3Q8XqgQ
M8Xlvep2qQmFRp+DkYst
=Gmio
-----END PGP SIGNATURE-----




Reply sent to Gilles Filippini <pini@debian.org>:
You have taken responsibility. (Sun, 22 Sep 2013 17:21:05 GMT) Full text and rfc822 format available.

Notification sent to Andrew Ross <ubuntu@rossfamily.co.uk>:
Bug acknowledged by developer. (Sun, 22 Sep 2013 17:21:05 GMT) Full text and rfc822 format available.

Message #30 received at 723048-close@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: 723048-close@bugs.debian.org
Subject: Bug#723048: fixed in json-simple 1.1.1-1
Date: Sun, 22 Sep 2013 17:18:50 +0000
Source: json-simple
Source-Version: 1.1.1-1

We believe that the bug you reported is fixed in the latest version of
json-simple, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 723048@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gilles Filippini <pini@debian.org> (supplier of updated json-simple package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 22 Sep 2013 19:02:54 +0200
Source: json-simple
Binary: libjson-simple-java libjson-simple-doc
Architecture: source all
Version: 1.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Gilles Filippini <pini@debian.org>
Description: 
 libjson-simple-doc - documentation for libjson-simple-java
 libjson-simple-java - Simple, lightweight and efficient JSON toolkit for Java
Closes: 723048
Changes: 
 json-simple (1.1.1-1) unstable; urgency=low
 .
   [ Gilles Filippini ]
   * New upstream release (closes: #723048):
     + Supports OSGi
     + Accepts a java.util.Map parameter in constructor of JSONObject
     + Maven support
 .
   * Fetch the source tarball directly from upstream SVN (no upstream tarball
     to download for this release)
   * No more need to exclude jar files from the source tree
   * Drop debian/pom.xml no needed anymore
   * debian/rules, debian/libjson-simple-java.jlibs,
     debian/libjson-simple-java.poms: fix paths
   * debian/copyright, debian/libjson-simple-doc.doc-base: add Dave Hughes
     to authors
 .
   * debian/control:
     + Maintainer: Debian Java Maintainers
     + Fix VCS fields to use anonscm.debian.org
     + Bump Standards-Version to 3.9.4 (no changes needed)
 .
   * Add a temporary convenience symbolic link to workaround the jar filename
     change from json_simple.jar to json-simple.jar. This should prevent
     FTBFSs for packages build depending on libjson-simple-java until they
     are fixed.
 .
   [ Andrew Ross ]
   * debian/rules: fix clean target to match the new source tree
   * debian/libjson-simple-java.poms: add --usj-name option to allow linking
     to jar in /u/s/j
Checksums-Sha1: 
 da3fa013106350b646594179677a5a30470ef005 1763 json-simple_1.1.1-1.dsc
 b543ebea2f704e6e02c917a2440fa76d2e296cd3 20017 json-simple_1.1.1.orig.tar.bz2
 2024a2f794db80aa4146f5afceca4ed7bd4b7894 4238 json-simple_1.1.1-1.debian.tar.gz
 50338ed8d180fbe34fa3a1da2cd389030dd75a91 19080 libjson-simple-java_1.1.1-1_all.deb
 fe36e63fd0295bcc90e4ea258a0709a8654396b5 31032 libjson-simple-doc_1.1.1-1_all.deb
Checksums-Sha256: 
 dabc9e9c537dec9cf41ac4151d5c62a90ce405f473c95b3e058d810dd8a40e8d 1763 json-simple_1.1.1-1.dsc
 cbff797375070bb69ac8b2f438dd6407a592f960e971e8a24ba78973534e4590 20017 json-simple_1.1.1.orig.tar.bz2
 fa68be1e7b0f1d2c228dbf694ddf42fba8d3ce883077d7a1c57a01eb9b8a9537 4238 json-simple_1.1.1-1.debian.tar.gz
 967fc00938b8f250cf91efbdfddc0d1eca26cdb5da7fef6645f8cd7837501c47 19080 libjson-simple-java_1.1.1-1_all.deb
 204d372a316f24649a68705b1d6c669b35196c3cf84cf040530d09c2c784d988 31032 libjson-simple-doc_1.1.1-1_all.deb
Files: 
 1a6aa4ef7c8040e048f4ab9ff4856cac 1763 java extra json-simple_1.1.1-1.dsc
 9ac9ab1dc7af0f3edab3f3962645ab3e 20017 java extra json-simple_1.1.1.orig.tar.bz2
 f079a5caceae5bd8fda3aa6167aaaeb2 4238 java extra json-simple_1.1.1-1.debian.tar.gz
 30069c0ecfdf791013d639e8b2f042f2 19080 java extra libjson-simple-java_1.1.1-1_all.deb
 526898c25199d20eaa70aff3dcf1cf3b 31032 doc extra libjson-simple-doc_1.1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQEcBAEBCAAGBQJSPyWZAAoJEO/obGx//s+DMwEH/jgi3/vdEjXaZgLtG5B1tBiK
Zs5aqyGEgxlY5XHE/wwXcibHGNQGevRe3X87i+G+aqo3QABugIoW/knSca+2OYal
9kbVJwJBHr7RqFxfSURhMEdpXSCa6hOA2cWCcp9cNKiwE8Fv/DREsGITVyk6rjiE
+jowBV5ptn3daer636TH2Wr5G1DTc6kWOpqEEJgoYsgVEUCzaUNJlY7mnHp/7E2K
htpyOmAM4iw93JXO7ahrKcPUcx9JC8eNENXcm57nJY+aZNlVUO647iW5wjTetRCM
BQLcT8c5XVI+57iK/eC/CLjVQRpWE2QwK2l3xrrvI4fWHb9nqy7edPpGNtfpQbc=
=1vgB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Oct 2013 07:31:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:35:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.